Subject: Re: bug#66113: Apply the entire diff buffer

From: Dmitry Gutov <[email-masked]>
Date: Sun, 24 Sep 2023 13:58:59 +0300

On 24/09/2023 10:34, Juri Linkov wrote:
>> Sorry, was there supposed to be a call to diff-test-hunk here? Or I'm just
>> not following the implementation.
> diff-test-hunk was just an example of implementation.  But the same way as
> diff-apply-hunk is not used here, also only the logic of diff-test-hunk is used.

Fair enough.

>> I tried testing it out too. There is a patch where the third hunk doesn't
>> apply (errors with "can't find the text to patch" in regular usage). This
>> command ends with cryptic "No next hunk".
> This is what I expected that diff-hunk-next might signal an error
> that we should catch, but still couldn't find a patch that fails
> with such error.  So I will try to construct such a patch manually.

Try the patch attached to this message: 
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63896#5